function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { PrimaryColumn, Entity, Index, JoinColumn, Column, ManyToOne } from "typeorm";
import { User } from "./user.js";
import { id } from "../id.js";
export let UserList = class UserList {
    id;
    createdAt;
    userId;
    user;
    name;
    hideFromHomeTl;
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", String)
], UserList.prototype, "id", void 0);
_ts_decorate([
    Column("timestamp with time zone", {
        comment: "The created date of the UserList."
    }),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], UserList.prototype, "createdAt", void 0);
_ts_decorate([
    Index(),
    Column({
        ...id(),
        comment: "The owner ID."
    }),
    _ts_metadata("design:type", Object)
], UserList.prototype, "userId", void 0);
_ts_decorate([
    ManyToOne((type)=>User, {
        onDelete: "CASCADE"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], UserList.prototype, "user", void 0);
_ts_decorate([
    Column("varchar", {
        length: 128,
        comment: "The name of the UserList."
    }),
    _ts_metadata("design:type", String)
], UserList.prototype, "name", void 0);
_ts_decorate([
    Column("boolean", {
        default: false,
        comment: "Whether posts from list members should be hidden from the home timeline."
    }),
    _ts_metadata("design:type", Boolean)
], UserList.prototype, "hideFromHomeTl", void 0);
UserList = _ts_decorate([
    Entity()
], UserList);
